using System;
using Microsoft.SPOT;
using System.Threading;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.Netduino;

namespace NetQuadCopter
{
    public class Program
    {
        private static RXReader reader;

        public static void Main()
        {
            reader = new RXReader();
            reader.addChannel(Pins.GPIO_PIN_D0, 1);
            reader.addChannel(Pins.GPIO_PIN_D1, 2);
            reader.channelUpdated += new RXReader.ChannelUpdated(reader_channelUpdated);
			
			// Espera infinita para evitar la terminacin del programa
            Thread.Sleep(Timeout.Infinite);
        }

        private static void reader_channelUpdated(ChannelInfo channel, float oldValue, float newValue)
        {
            Debug.Print("Channel: " + channel.channelID + ", " + newValue.ToString());
        }
    }
}
